package com.tencent.mm.aj;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import org.json.JSONException;
import org.json.JSONObject;

public class d$b$c$a {
    public long appid = 0;
    public String fvM;
    public String fvN;
    public int fvO;
    public String fvP;
    public String fvQ;

    public static d$b$c$a qL(String str) {
        AppMethodBeat.i(11273);
        ab.i("MicroMsg.BizInfo", "EnterpriseBizInfo = ".concat(String.valueOf(str)));
        d$b$c$a d_b_c_a = new d$b$c$a();
        if (str == null || str.length() <= 0) {
            AppMethodBeat.o(11273);
        } else {
            try {
                JSONObject jSONObject = new JSONObject(str);
                d_b_c_a.fvM = jSONObject.optString("belong");
                d_b_c_a.fvN = jSONObject.optString("freeze_wording");
                d_b_c_a.fvO = jSONObject.optInt("child_type");
                d_b_c_a.fvP = jSONObject.optString("home_url");
                String optString = jSONObject.optString("exattr");
                if (bo.isNullOrNil(optString)) {
                    d_b_c_a.fvQ = null;
                } else {
                    JSONObject jSONObject2 = new JSONObject(optString);
                    d_b_c_a.fvQ = jSONObject2.optString("chat_extension_url");
                    d_b_c_a.appid = jSONObject2.optLong("app_id");
                }
            } catch (JSONException e) {
                ab.e("MicroMsg.BizInfo", "exception:%s", new Object[]{bo.l(e)});
            }
            AppMethodBeat.o(11273);
        }
        return d_b_c_a;
    }
}
